camp_triggers = {
	['Reinforce No 4 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 4 Squadron", "No 4 Squadron", 10)',
		['active'] = true,
	},
	['CAP After SouthEWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR South IND - Jaguar 121") == 0',
		['action'] = {
			[1] = 'Action.TargetActive("Senaki-Kolkhi Interception 1", false)',
			[2] = 'Action.TargetActive("Kutaisi Interception 1", false)',
		},
		['active'] = true,
	},
	['Maykop-Khanskaya Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Maykop-Khanskaya Airbase") < 6',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Recent air strikes have destroyed enemy ground elements running operations at Maykop-Khanskaya Airbase. Without their ground support, any remaining aircraft at the airstrip will no longer be able to launch on sorties.")',
		},
		['active'] = true,
	},
	['GroundUnitRepair'] = {
		['condition'] = 'true',
		['action'] = 'Action.GroundUnitRepair()',
		['active'] = true,
	},
	['Kobuleti Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Kobuleti Airbase") < 11',
		['action'] = {
			[1] = 'db_airbases["Kobuleti"].inactive = true',
		},
		['active'] = true,
	},
	['Campaign End Draw'] = {
		['condition'] = 'Return.Mission() >= 50',
		['once'] = false,
		['action'] = {
			[1] = 'Action.CampaignEnd("draw")',
			[2] = 'Action.Text("The air campaign has seen a sustained period of inactivity. Seemingly unable to complete the destruction of the Indian Air Force and infrastructure, Pakistan Central Command has called off all squadrons from offensive operations. We hope negociations with India will convince them to stop the war")',
			[3] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['No 11 Squadron Alive 25%'] = {
		['condition'] = 'Return.AirUnitAlive("No 11 Squadron") + Return.AirUnitReady("R/No 11 Squadron") < 5',
		['once'] = true,
		['action'] = 'Action.Text("Aircraft strength of the No 11 Squadron has fallen below 25%. The number of available airframes is critically low. The squadron is short of destruction.")',
		['active'] = true,
	},
	['Patrol Boat 1 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() >= 1',
		['once'] = false,
		['action'] = 'Action.ShipMission("Patrol Boat 1", {{"Ships 1-1", "Ships 1-2", "Ships 1-3", "Ships 1-4"}}, 8, 5, nil)',
		['active'] = true,
	},
	['Reinforce No 15 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 15 Squadron", "No 15 Squadron", 12)',
		['active'] = true,
	},
	['Missile Boat second zone ATest Sea'] = {
		['condition'] = 'Return.Mission() >= 1',
		['once'] = false,
		['action'] = 'Action.ShipMission("Missile Boat 2", {{"Indy 2-1", "Indy 2-2", "Indy 2-3", "Indy 2-4"}}, 12, 8, nil)',
		['active'] = true,
	},
	['Campaign End Victory 2'] = {
		['condition'] = 'Return.AirUnitReady("No 4 Squadron") + Return.AirUnitReady("No 28 Squadron") + Return.AirUnitReady("No 30 Squadron") + Return.AirUnitReady("No 221 Squadron") < 4',
		['once'] = false,
		['action'] = {
			[1] = 'Action.CampaignEnd("win")',
			[2] = 'Action.Text("The Indian Air Force is in ruins. After repeated air strikes and disastrous losses in air-air combat, the Indians are no longer able to produce any sorties or offer any resistance. Our forces now owns complete air superiority. Well done.")',
			[4] = 'NoMoreNewspaper = true',
			[3] = 'Action.AddImage("Newspaper_Victory.jpg", "blue")',
		},
		['active'] = true,
	},
	['Campaign End Loss'] = {
		['condition'] = 'Return.AirUnitAlive("No 11 Squadron") + Return.AirUnitReady("R/No 11 Squadron") < 4',
		['once'] = false,
		['action'] = {
			[2] = 'Action.Text("Ongoing combat operations have exhausted No 11 Squadron. Loss rate has reached a level where reinforcements are no longer able to sustain combat operations. With the failure of Pakistan Air Force to attain air superiority, Central Command has decided to call of the air campaign against the Indians. They will be able to attack our country and our diplomatic power in the world is really weaked by this defeat.")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Maykop-Khanskaya Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Maykop-Khanskaya Airbase") < 6',
		['action'] = {
			[1] = 'db_airbases["Maykop-Khanskaya"].inactive = true',
		},
		['active'] = true,
	},
	['Patrol boat 2 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() >= 1',
		['once'] = false,
		['action'] = 'Action.ShipMission("Patrol Boat 2", {{"Ships 1-5", "Ships 1-4", "Ships 1-3", "Ships 1-6"}}, 8, 5, nil)',
		['active'] = true,
	},
	['Campaign End Loss 2'] = {
		['condition'] = 'Return.TargetAlive("Gudauta Airbase") < 10',
		['once'] = false,
		['action'] = {
			[2] = 'Action.CampaignEnd("loss")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'db_airbases["Gudauta"].inactive = true',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Reinforce No 11 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 11 Squadron", "No 11 Squadron", 12)',
		['active'] = true,
	},
	['Repair'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitRepair()',
		['active'] = true,
	},
	['Campaign End Victory 3'] = {
		['condition'] = 'Return.TargetAlive("Senaki Airbase") < 12 and Return.TargetAlive("Kutaisi Airbase") < 11 and Return.TargetAlive("Maykop-Khanskaya Airbase") < 6 and Return.TargetAlive("Kobuleti Airbase") < 11',
		['once'] = false,
		['action'] = {
			[2] = 'Action.Text("The Indian Air Force is in ruins. All their bases are destroyed, they are no longer able to produce any sorties or offer any resistance. The Pakistan air forces now owns complete air superiority.")',
			[3] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Red Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("red")',
		['active'] = true,
	},
	['CAP After North EWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR North IND - Jaguar 122") == 0',
		['action'] = {
			[1] = 'Action.TargetActive("Maykop-Khanskaya Interception 1", false)',
			[2] = 'Action.TargetActive("Maykop-Khanskaya Interception 2", false)',
		},
		['active'] = true,
	},
	['Campaign 40 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 60',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained great damages. Strike missions are really efficient and we will win this war soon")',
		},
		['active'] = true,
	},
	['Reinforce No 30 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 30 Squadron", "No 30 Squadron", 12)',
		['active'] = true,
	},
	['Missile Boat first zone ATest Sea'] = {
		['condition'] = 'Return.Mission() >= 1',
		['once'] = false,
		['action'] = 'Action.ShipMission("Missile Boat 1", {{"Indy 1-1", "Indy 1-2", "Indy 1-3", "Indy 1-4"}}, 12, 8, nil)',
		['active'] = true,
	},
	['Campaign End Victory 1'] = {
		['condition'] = 'GroundTarget["blue"].percent < 45',
		['once'] = false,
		['action'] = {
			[2] = 'Action.Text("The Pakistan Air Force have successfully destroyed all the targets that they were assigned by Central Command. With the heavy losses inflicted to the Indian ground forces, any enemy offensive will be stopped. Well done.")',
			[3] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign first destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("First targets have been destroyed. Keep up the good work")',
		},
		['active'] = true,
	},
	['Reinforce No 28 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 28 Squadron", "No 28 Squadron", 12)',
		['active'] = true,
	},
	['Campaign 50 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 50',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("More than half of our targets are neutralized. Intelligence think that the enemy will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['Senaki Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Senaki Airbase") < 12',
		['once'] = false,
		['action'] = {
			[1] = 'Action.Text("After the facilities at Senaki-Kolkhi Airbase have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer ably to produce any aviation sorties.")',
		},
		['active'] = true,
	},
	['Campaign Briefing'] = {
		['condition'] = 'true',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Our Air forces are ready with No 11 Squadron flying on Shenyang F-6, No 14 Squadron and No 15 Squadron flying on F-86F Sabre.")',
			[3] = 'Action.Text("The Indian forces are mainly flying on Mig-21 with 2 squadrons in east bases and 1 squadron in West base. One squadron of Su-7 is active on east base. Our goal will be to gain air superiority by neutralizing main bases and destroying as many planes as possible. Then we will attack Indian ground forces to prevent any offensives.")',
			[1] = 'Action.Text("December the 7th of 1971. India is ready to attack our country one more time. We are in highest alert state ready to repulse any air and ground attacks. Enemy missiles boat are near our coasts and can be a major threat for our forces. The main ground danger will come from both frontiers with numerous Indian infantry units.")',
			[4] = 'Action.AddImage("Newspaper_FirstNight_red.jpg", "red")',
			[5] = 'Action.AddImage("Newspaper_FirstNight_blue.jpg", "blue")',
		},
		['active'] = false,
	},
	['Gudauta Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Gudauta Airbase") < 10',
		['action'] = {
			[1] = 'db_airbases["Gudauta"].inactive = true',
		},
		['active'] = true,
	},
	['Sukhumi Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Sukhumi Airbase") < 4 and Return.TargetAlive("Sukhumi Airbase Strategics") < 5',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Recent air strikes have destroyed enemy ground elements running operations at Sukhumi Airbase. Without their ground support, any remaining aircraft at the airstrip will no longer be able to launch on sorties.")',
		},
		['active'] = true,
	},
	['No 11 Squadron Alive 75%'] = {
		['condition'] = 'Return.AirUnitAlive("No 11 Squadron") + Return.AirUnitReady("R/No 11 Squadron") < 10',
		['once'] = true,
		['action'] = 'Action.Text("Aircraft strength of the No 11 Squadron has fallen below 75%.")',
		['active'] = true,
	},
	['No 11 Squadron Alive 50%'] = {
		['condition'] = 'Return.AirUnitAlive("No 11 Squadron") + Return.AirUnitReady("R/No 11 Squadron") < 7',
		['once'] = true,
		['action'] = 'Action.Text("Aircraft strength of the No 11 Squadron has fallen below 50%. If losses continue at the present rate, the combat capability of the squadron is in jeopardy.")',
		['active'] = true,
	},
	['Kutaisi Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Kutaisi Airbase") < 11',
		['action'] = {
			[1] = 'db_airbases["Kutaisi"].inactive = true',
		},
		['active'] = true,
	},
	['Sukhumi Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Sukhumi Airbase") < 4 and Return.TargetAlive("Sukhumi Airbase Strategics") < 5',
		['action'] = {
			[1] = 'db_airbases["Sukhumi"].inactive = true',
		},
		['active'] = true,
	},
	['Reinforce No 221 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 221 Squadron", "No 221 Squadron", 12)',
		['active'] = true,
	},
	['Gudauta Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Gudauta Airbase") < 10',
		['once'] = false,
		['action'] = {
			[1] = 'Action.Text("After the facilities at Gudauta Airbase have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer ably to produce any aviation sorties.")',
		},
		['active'] = true,
	},
	['Campaign 20 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained fair damages. Keep up the good work")',
		},
		['active'] = true,
	},
	['Kobuleti Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Kobuleti Airbase") < 11',
		['once'] = false,
		['action'] = {
			[1] = 'Action.Text("After the facilities at Kobuleti Airbase have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer ably to produce any aviation sorties.")',
		},
		['active'] = true,
	},
	['Blue Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("blue")',
		['active'] = true,
	},
	['Senaki Airbase Disabled'] = {
		['condition'] = 'Return.TargetAlive("Senaki Airbase") < 12',
		['action'] = {
			[1] = 'db_airbases["Senaki-Kolkhi"].inactive = true',
		},
		['active'] = true,
	},
	['CAP After PAK EWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR 1 PAK - Axeman 130") == 0',
		['action'] = {
			[2] = 'Action.TargetActive("Gudauta Interception 1", false)',
			[3] = 'Action.TargetActive("CAP Blue West", true)',
			[1] = 'Action.TargetActive("Sukhumi Interception 1", false)',
			[4] = 'Action.TargetActive("CAP Blue East 1", true)',
			[5] = 'Action.TargetActive("CAP Blue East 2", true)',
		},
		['active'] = true,
	},
	['Reinforce No 14 Squadron'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitReinforce("R/No 14 Squadron", "No 14 Squadron", 12)',
		['active'] = true,
	},
	['Kutaisi Airbase Disabled Text'] = {
		['condition'] = 'Return.TargetAlive("Kutaisi Airbase") < 11',
		['once'] = false,
		['action'] = {
			[1] = 'Action.Text("The infrastructure at Kutaisi Airbase has been destroyed by air strikes. Flying operations at this base have ceased completely and are unlikely to resume. This will ease our efforts to hit other targets in the Kutaisi Country area.")',
		},
		['active'] = true,
	},
}
